import { BaseCommandTest } from './base-command-test.js';
import { type ClusterReferenceName, type DeploymentName } from '../../../../src/types/index.js';
import { type NamespaceName } from '../../../../src/types/namespace/namespace-name.js';
import { type BaseTestOptions } from './base-test-options.js';
export declare class DeploymentTest extends BaseCommandTest {
    private static soloDeploymentCreateArgv;
    static create(options: BaseTestOptions): void;
    private static soloDeploymentAddClusterArgv;
    static addCluster(options: BaseTestOptions): void;
    static soloDeploymentDiagnosticsLogsArgv(deployment: DeploymentName): string[];
    static soloDeploymentConfigCreateArgv(deployment: DeploymentName, namespace: NamespaceName): string[];
    static soloDeploymentClusterAttachArgv(deployment: DeploymentName, clusterReference: ClusterReferenceName, consensusNodesCount: number): string[];
    private static soloDeploymentConfigListArgv;
    /**
     * Lists all local deployment configurations or deployments in a specific cluster.
     * Tests both scenarios:
     * 1. Without cluster-ref: Lists all deployments from local configuration
     * 2. With cluster-ref: Lists deployments from the specified Kubernetes cluster
     */
    static listDeployments(options: BaseTestOptions): void;
    private static soloDeploymentConfigInfoArgv;
    static info(options: BaseTestOptions): void;
    static verifyDeploymentConfigInfo(options: BaseTestOptions): void;
}
